{
    "name": "laminas-api-tools/api-tools-skeleton",
    "description": "Skeleton Application for Laminas API Tools",
    "type": "project",
    "license": "BSD-3-Clause",
    "keywords": [
        "laminas",
        "api-tools",
        "api",
        "framework"
    ],
    "homepage": "https://api-tools.getlaminas.org",
    "support": {
        "docs": "https://api-tools.getlaminas.org/documentation",
        "issues": "https://github.com/laminas-api-tools/api-tools-skeleton/issues",
        "source": "https://github.com/laminas-api-tools/api-tools-skeleton",
        "rss": "https://github.com/laminas-api-tools/api-tools-skeleton/releases.atom",
        "chat": "https://laminas.dev/chat",
        "forum": "https://discourse.laminas.dev"
    },
    "config": {
        "process-timeout": 5000,
        "sort-packages": true,
        "allow-plugins": {
            "laminas-api-tools/api-tools-asset-manager": true,
            "dealerdirect/phpcodesniffer-composer-installer": true,
            "laminas/laminas-component-installer": true,
            "easywechat-composer/easywechat-composer": true
        }
    },
    "require": {
        "php": "^7.4 || ~8.0.0",
        "aliyuncs/oss-sdk-php": "^2.4",
        "baidu/aip-sdk": "^2.2",
        "gumlet/php-image-resize": "^2.0",
        "laminas-api-tools/api-tools": "^1.4",
        "laminas-api-tools/api-tools-documentation": "^1.3",
        "laminas/laminas-cache": "^2",
        "laminas/laminas-cli": "^1.4",
        "laminas/laminas-component-installer": "^2.1.1",
        "laminas/laminas-development-mode": "^3.2",
        "laminas/laminas-zendframework-bridge": "^1.0",
        "league/flysystem": "^2.4",
        "overtrue/pinyin": "^4.1",
        "overtrue/wechat": "^5.0",
        "phpoffice/phpexcel": "^1.8",
        "phpoffice/phpspreadsheet": "^1.28",
        "phpoffice/phpword": "^1.2",
        "symfony/expression-language": "^5.4",
        "tecnickcom/tcpdf": "^6.4"
    },
    "require-dev": {
        "laminas-api-tools/api-tools-admin": "^1.6",
        "laminas-api-tools/api-tools-asset-manager": "^1.2",
        "laminas/laminas-coding-standard": "~2.3.0",
        "laminas/laminas-composer-autoloading": "^2.1",
        "laminas/laminas-developer-tools": "^1.2.1",
        "laminas/laminas-test": "^3.5",
        "phpunit/phpunit": "^9.5",
        "zfcampus/zf-deploy": "^1.3"
    },
    "conflict": {
        "laminas/laminas-hydrator": "<2.0",
        "laminas/laminas-stdlib": "<3.2.1",
        "laminas/laminas-view": "<2.10.1"
    },
    "suggest": {
        "laminas-api-tools/api-tools-doctrine": "laminas-api-tools/api-tools-doctrine ^2.2 to create Doctrine-Connected REST services",
        "laminas-api-tools/api-tools-http-cache": "laminas-api-tools/api-tools-http-cache ^1.4 to add HTTP caching to your API",
        "zfr/zfr-cors": "zfr/zfr-cors ^1.5 to add CORS support to your API"
    },
    "autoload": {
        "psr-4": {
            "Application\\": "module/Application/src/",
            "Admin\\": "module/Admin/src/",
            "Dictionary\\": "module/Dictionary/src/",
            "Item\\": "module/Item/src/",
            "Signatory\\": "module/Signatory/src/",
            "Syslog\\": "module/Syslog/src/",
            "Project\\": "module/Project/src/",
            "Real\\": "module/Real/src/",
            "Applets\\": "module/Applets/src/",
            "Listset\\": "module/Listset/src/",
            "Business\\": "module/Business/src/",
            "Ocr\\": "module/Ocr/src/",
            "Medical\\": "module/Medical/src/",
            "Tmp\\": "module/Tmp/src/",
            "Collect\\": "module/Collect/src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "ApplicationTest\\": "module/Application/test/",
            "Admin\\": "module/Admin/src/"
        },
        "files": [
            "src/ApiTools/constants.php"
        ]
    },
    "scripts": {
        "cs-check": "phpcs",
        "cs-fix": "phpcbf",
        "development-disable": "laminas-development-mode disable",
        "development-enable": "laminas-development-mode enable",
        "development-status": "laminas-development-mode status",
        "post-create-project-cmd": [
            "@development-enable",
            "php -r 'if (file_exists(\"src/remove-package-artifacts.php\")) include \"src/remove-package-artifacts.php\";'",
            "php -r 'if (file_exists(\"CHANGELOG.md\")) unlink(\"CHANGELOG.md\");'"
        ],
        "serve": "php -S 0.0.0.0:8080 -t public/ public/index.php",
        "test": "phpunit"
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://mirrors.aliyun.com/composer/"
        }
    ]
}
